viterbi {VanillaICE} | R Documentation

## viterbi algorithm

### Description

The Viterbi algorithm for computing the most likely state sequence given a model

### Usage

    viterbi(initialStateProbs, emission, tau, arm, tau.scale, verbose = TRUE, returnLikelihood = FALSE)

### Arguments

`initialStateProbs` | initial state probabilities (log scale)
`emission` | matrix of log emission probabilities (one sample is a matrix)
`tau` | transition probabilities (original scale)
`arm` | numeric or character string indicating chromosomal arm
`tau.scale` | matrix to scale the probability of transitioning between states.
`verbose` | Logical
`returnLikelihood` | whether to return the 'loglikelihood'

### Details

The Viterbi algorithm is fit independently to each chromosomal arm if arm is specified.

Argument `tau.scale` is a matrix that scales the probability of transitioning from an altered state to a normal state to the probability of transitioning between two altered states. If missing, tau.scale is 1 (no scaling)

returnLikelihood is experimental

### Value

`matrix` | predicted states

### Author(s)

R. Scharpf

[Package VanillaICE version 1.4.0 Index]